package com.heyu.api.data.dao.vv;
/**
* <p>
* sku 的属性值表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-21
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.vv.VvSkuPropertyValueEntity;
import com.lz.mybatis.plugin.annotations.IN;
import com.lz.mybatis.plugin.annotations.Realy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvSkuPropertyValueDao extends BaseMapper<VvSkuPropertyValueEntity> {


	VvSkuPropertyValueEntity selectVvSkuPropertyValueById(@Param("id")Long id);


	Long insertVvSkuPropertyValue(VvSkuPropertyValueEntity vvSkuPropertyValue);


	Long insertOrUpdateVvSkuPropertyValue(VvSkuPropertyValueEntity vvSkuPropertyValue);


	int updateVvSkuPropertyValueById(VvSkuPropertyValueEntity vvSkuPropertyValue);


	int updateCoverVvSkuPropertyValueById(VvSkuPropertyValueEntity vvSkuPropertyValue);


	int deleteVvSkuPropertyValueById(@Param("id")Long id);


	List<VvSkuPropertyValueEntity> selectVvSkuPropertyValueBySkuId(Long skuId);



	List<VvSkuPropertyValueEntity> selectVvSkuPropertyValueByProductId(Long productId);

	@Realy
	int deleteVvSkuPropertyValueRealBySkuId(Long skuId);

	@Realy
	int deleteVvSkuPropertyValueRealById(Long id);

	List<VvSkuPropertyValueEntity> selectVvSkuPropertyValueBySkuIds(@IN List<Long> skuId);
}

